forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cross...@apache.org
Subject svn commit: r190874 - /forrest/trunk/site-author/content/xdocs/docs/plugins/usingPlugins.xml
Date Thu, 16 Jun 2005 05:50:18 GMT
Author: crossley
Date: Wed Jun 15 22:50:18 2005
New Revision: 190874

URL: http://svn.apache.org/viewcvs?rev=190874&view=rev
Log:
Changed example to conform to plugin naming convention.

Modified:
    forrest/trunk/site-author/content/xdocs/docs/plugins/usingPlugins.xml

Modified: forrest/trunk/site-author/content/xdocs/docs/plugins/usingPlugins.xml
URL: http://svn.apache.org/viewcvs/forrest/trunk/site-author/content/xdocs/docs/plugins/usingPlugins.xml?rev=190874&r1=190873&r2=190874&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/docs/plugins/usingPlugins.xml (original)
+++ forrest/trunk/site-author/content/xdocs/docs/plugins/usingPlugins.xml Wed Jun 15 22:50:18
2005
@@ -49,9 +49,9 @@
       in the projects <code>forrest.properties</code> file. When Forrest 
       builds the site it will automatically discover the plugin and install 
       it. In otherwords, the user need do nothing. For example, 
-      <code>project.required.plugins=org.apache.forrest.plugin.OpenOffice.org,simplified-docbook</code>
-      will cause Forrest to load the plugins called "org.apache.forrest.plugin.OpenOffice.org"
and
-      "simplified-docbook".</p>
+      <code>project.required.plugins=org.apache.forrest.plugin.input.OpenOffice.org,org.apache.forrest.plugin.input.simplified-docbook</code>
+      will cause Forrest to load the plugins called "org.apache.forrest.plugin.input.OpenOffice.org"
and
+      "org.apache.forrest.plugin.input.simplified-docbook".</p>
       
       <p>In the absence of a version number for the plugin (as is the case in the examples
above)
       the most recent version that is applicabe to your release of Forrest will be used.
This
@@ -59,7 +59,7 @@
       is incompatible with your current site. To force Forrest into using a specific version
of 
       a plugin you shuld add "-VERSION_NUMBER" to the end of the plugin name. For example,
       to force forrest to use the 1.0 version of the OpenOffice.org plugin you would use
-      <code>org.apache.forrest.plugin.OpenOffice.org-1.0</code> If you define
a version of the
+      <code>org.apache.forrest.plugin.input.OpenOffice.org-1.0</code> If you
define a version of the
       plugin that does not exist then it will fall back to using the most recent version
avialable.
       This feature is useful when 
       developing a new site as you can quickly force a plugin upgrade by deleting all installed




Mime
View raw message